Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.5.8 generated on January 11 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.solarmetric.kodo.impl.jdbc.ee
Class EEPersistenceManagerFactory

    java.lang.Object
      |
      +--com.solarmetric.kodo.runtime.PersistenceManagerFactoryImpl
            |
            +--com.solarmetric.kodo.impl.jdbc.JDBCPersistenceManagerFactory
                  |
                  +--com.solarmetric.kodo.impl.jdbc.ee.EEPersistenceManagerFactory

All Implemented Interfaces:
  PersistenceManagerFactory, Serializable

public class EEPersistenceManagerFactory
extends JDBCPersistenceManagerFactory

Enterprise Edition PersistenceManagerFactory type for use with the JDBC runtime.

See Also:
  Serialized Form

Constructor Summary
`EEPersistenceManagerFactory()` Default constructor.
`EEPersistenceManagerFactory(EEConfiguration conf)` Construct the factory with the given option settings.

Method Summary
`void` | `close()` API extension.
`protected PersistenceManagerImpl` | `findPersistenceManager(String user, String pass)` Find a pooled PersistenceManager, or return null if none.
`static PersistenceManagerFactory` | `getPersistenceManagerFactory(Properties props)` Factory method for constructing a PersistenceManagerFactory from properties.
`String` | `getVersionInformation()` Return a string describing this factory version, such as "JDBC Enterprise".
`protected PersistenceManagerImpl` | `newPersistenceManager(String user, String pass, StoreManager sm)` Return a PersistenceManager configured with the proper settings.

Methods inherited from class com.solarmetric.kodo.impl.jdbc.JDBCPersistenceManagerFactory
`configurePersistenceManager, countDeferredRegistrations, createConnectionFactory, createConnectionFactory, createConnectionFactory, finalize, flushDeferredRegistrations, getDeferredRegistrations, getJDBCConfiguration, getRegisteredClasses, getRuntimeLog, newConnectionFactory, newStoreManager, registerClass, registerClassInternal, removeUnsupportedOptions, setup, setupImplHelper`

Methods inherited from class com.solarmetric.kodo.runtime.PersistenceManagerFactoryImpl
`addDataCache, close, closeAll, freeze, getConfiguration, getConnectionDriverName, getConnectionFactory, getConnectionFactory, getConnectionFactory2, getConnectionFactory2Name, getConnectionFactoryName, getConnectionPassword, getConnectionURL, getConnectionUserName, getDataCaches, getIgnoreCache, getMaxPool, getMinPool, getMsWait, getMultithreaded, getNontransactionalRead, getNontransactionalWrite, getOpenPersistenceManager, getOptimistic, getPersistenceManager, getPersistenceManager, getProperties, getRestoreValues, getRetainValues, lock, newConnectionFactory, notifyRemoteCommitListeners, readObject, registerRemoteCommitListener, removeRemoteCommitListener, setConnectionDriverName, setConnectionFactory, setConnectionFactory2, setConnectionFactory2Name, setConnectionFactoryName, setConnectionPassword, setConnectionURL, setConnectionUserName, setIgnoreCache, setMaxPool, setMinPool, setMsWait, setMultithreaded, setNontransactionalRead, setNontransactionalWrite, setOptimistic, setRestoreValues, setRetainValues, setUpRemoteCommitProvider, supportedOptions, unlock`

Methods inherited from class java.lang.Object
`, clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EEPersistenceManagerFactory

    public EEPersistenceManagerFactory()

  Default constructor.

### EEPersistenceManagerFactory

    public EEPersistenceManagerFactory(EEConfiguration conf)

  Construct the factory with the given option settings.

Method Detail

### getPersistenceManagerFactory

    public static PersistenceManagerFactory getPersistenceManagerFactory(Properties props)

  Factory method for constructing a PersistenceManagerFactory from properties. Invoked from `JDOHelper.getPersistenceManagerFactory(java.util.Properties)`.

### getVersionInformation

    public String getVersionInformation()

  Description copied from class: `PersistenceManagerFactoryImpl`
  Return a string describing this factory version, such as "JDBC Enterprise".
  Overrides:
    `getVersionInformation` in class `JDBCPersistenceManagerFactory`

### findPersistenceManager

    protected PersistenceManagerImpl findPersistenceManager(String user,
                                                            String pass)

  Description copied from class: `PersistenceManagerFactoryImpl`
  Find a pooled PersistenceManager, or return null if none. Returns null by default. This method will be called before `PersistenceManagerFactoryImpl.newStoreManager()` so that factory subclasses implementing pooling can return a matching manager before a new `StoreManager` is created.
  Overrides:
    `findPersistenceManager` in class `PersistenceManagerFactoryImpl`

### newPersistenceManager

    protected PersistenceManagerImpl newPersistenceManager(String user,
                                                           String pass,
                                                           StoreManager sm)

  Description copied from class: `PersistenceManagerFactoryImpl`
  Return a PersistenceManager configured with the proper settings. By default, this method constructs and configures a new PersistenceManagerImpl of the class set for this factory.
  Overrides:
    `newPersistenceManager` in class `PersistenceManagerFactoryImpl`

### close

    public void close()

  Description copied from class: `PersistenceManagerFactoryImpl`
  API extension. Closes the PersistenceManagerFactory, freeing any resources needed by this factory. After this method is invoked, the factory and associated PersistenceManagers should no longer be used.
  Overrides:
    `close` in class `JDBCPersistenceManagerFactory`

Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.5.8 generated on January 11 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002,2003 SolarMetric, Inc. All Rights Reserved.